%define name mail-notification
%define version 3.0
%define rel 5
%define evo %(rpm -q evolution-devel --queryformat %%{VERSION})

Version: 	%{version}
Summary: 	New mail status tray icon
Name: 		%{name}
Release: 	%mkrel %rel
License: 	GPL
Group: 		Networking/Mail
Source: 	http://savannah.nongnu.org/download/mailnotify/%{name}-%{version}.tar.bz2
URL: 		http://www.nongnu.org/mailnotify/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libeel-devel >= 2.6
BuildRequires:  libsoup-devel >= 2.2
BuildRequires:  libsasl-devel
BuildRequires:  openssl-devel
BuildRequires:	libgmime-devel
BuildRequires:  ImageMagick
BuildRequires:  evolution-devel
BuildRequires:  evolution-data-server-devel >= 1.4
BuildRequires:  libgnomeprintui-devel
BuildRequires:  gob2
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  mono-devel
BuildRequires:  desktop-file-utils
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 
Mail Notification features include multiple mailbox support, mbox, MH, 
Maildir, Sylpheed, POP3, IMAP, and Gmail support, SASL and APOP 
authentication support, SSL support, automatic detection of mailbox 
format, automatic notification, and HIG 2.0 compliance.

%package evolution
Group: 		Networking/Mail
Requires: %name = %version
Requires: evolution >= %evo
Summary: New mail status tray icon for Evolution

%description evolution
Mail Notification is a status icon (aka tray icon) that informs you if 
you have new mail. It works with system trays implementing the 
freedesktop.org System Tray Specification, such as the GNOME Panel 
Notification Area, the Xfce Notification Area, and the KDE System Tray. 

Install this if you use Evolution.

%prep

%setup -q

%build
export LDFLAGS="-Wl,--export-dynamic"
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -f %buildroot%_libdir/evolution/*/plugins/*a
%find_lang %name --with-gnome
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name} --display-main-window" \
 icon="%{name}.png" \
 longtitle="Get notified when new mail arrives" \
 needs="x11" \
 section="Internet/Mail" \
 title="Mail Notification" \
 startup_notify="yes" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-Mail" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32 art/%name.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 art/%name.png %{buildroot}%{_miconsdir}/%{name}.png


%post 
%update_menus
%post_install_gconf_schemas mail-notification
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas mail-notification

%postun
%clean_menus
%clean_scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc README COPYING INSTALL TODO 
%config(noreplace) %_sysconfdir/xdg/autostart/mail-notification.desktop
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%dir %_datadir/omf/mail-notification/
%_datadir/omf/mail-notification/%name-C.omf
%_libdir/bonobo/servers/*
%_sysconfdir/gconf/schemas/mail-notification.schemas
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files evolution
%defattr (-,root,root)
%doc COPYING
%_libdir/evolution/*/plugins/*

%changelog
* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-.0
- Rebuild with latest dbus

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 3.0-4mdv2007.0
- fix error in postun

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 3.0-3mdv2007.0
- xdg menu

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-2mdv2007.0
- Rebuild with latest libgail
- use macros

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 3.0-1mdv2007.0
- new version

* Tue Jun  6 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.2mdv2007.0
- rebuild for new evolution

* Thu May 18 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc2.1mdk
- new version

* Tue May 16 2006 Gtz Waschk <waschk@mandriva.org> 3.0-0.rc1.1mdk
- update deps
- update file list
- drop patches
- new version

* Fri Apr 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-11mdk
- Add BuildRequires: Mono-devel

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.0-10mdk
- fix deps
- build with e-d-s 1.6.1

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-9mdk
- fix buildrequires

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 2.0-8mdk
- official patch for imap authentication problem

* Sun Nov 20 2005 Gtz Waschk <waschk@mandriva.org> 2.0-7mdk
- rebuild for new openssl

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.0-6mdk
- arrgh!

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.0-5mdk
- trying to fix bug #19161

* Fri Oct  7 2005 Gtz Waschk <waschk@mandriva.org> 2.0-4mdk
- evo 2.4

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- enable evolution support

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 2.0-2mdk
- register scrollkeeper files
- add menu entry
- patch for gmail

* Wed Aug 10 2005 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- fix file list
- small build patch
- New release 2.0

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- 1.1

* Thu Nov 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99-1mdk
- fix buildrequires
- New release 0.99

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Mon Nov  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- New release 0.8.0

* Mon Oct 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Thu Oct  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- update file list
- build with soup
- source URL
- New release 0.7.0

* Tue Oct  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Wed Sep 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-2mdk
- fix buildrequires

* Sun Sep 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Fix gconf schema install
- Remove pacth0 (merged upstream)

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.2mdk
- add patch0 for ia64, ppc & x86_64

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-0.1mdk
- new, please test
- no Gmail support without libsoup-1x
